Subject: [Class of 2014] Avoid Graduation Late Fees!

From: 2014 Council <[email-masked]>
Date: Thu, 6 Feb 2014 23:53:38 -0500

Hey Seniors,

If there's a chance that you'll be graduating this semester, remember to
fill out your degree application today (*Friday, February 7th*) and turn in
your HASS Concentration Completion form to avoid late fees. For those of
you doing minors, remember that the Minor Completion form is due 2 weeks
from now.

Have a great weekend!
Class Council